EAA_MOD
===============
This MOD is created by the "Eggwars Am Abend" (EAA) Squad, to increase fun playing Minecraft by avoiding hacking/idiotic players and providing some useful tools.
This mod is 100% client side and does not interact with the server you are playing on.

## Features
Following a list of features, this mod provides
### TAG
It's basically a report system.

Users are able to tag other players with a set of tags. As example as Hacker/Friend/Good player and so on.
In addition, the tag gets weighted by a scale from 0 to 10.

Tagged players are shown when pressing TAB, including their recent tag with grade.
Other commands like playercheck/lobbycheck also use tag data.

### Ping as Number
Heavily inspired by this cool project, check it out!

https://www.curseforge.com/minecraft/mc-mods/better-ping-display-fabric

### Echo
uhm ... yeh ... it echos ... uhm ... you

(used as PoC, will be removed sooner or later)

## Commands
All mod commands start with a double slash (`//`), so they don't get confused with other commands

* `//tag <player> <tag> <grade>`
  * Tags player with chosen tag and grade. On success, a notification is shown.
* `//lobby`
  * Checks if any unwanted players (Hacker/Idiot/Noob) are in the current lobby.
* `//check <player>`
  * shows detailed information about a player, including past player names and tags.
* `//echo <text>`
  * reply with text
* `//reload`
  * reloads cashed players. Useful when playing in a team and someone tagged another player. Otherwise, the tag would not appear till next game start.


## Settings
Mod needs a file in mod folder called settings.properties containing following values:

```
url=mysql://<DATABASE_URL>/
user=<DATABASE USER>
password=<DATABASE USER PASSWORD>
db_name=<DATABASE NAME>
```

A working sample config is provided in the config folder, setup with a read only user of the developers Database.

## Database
Database-Model and SQL-Starterscript can be found in the config/database folder.
The Mod itself does not create the needed Database structure. The user has to init the Database by himself.