package net.saltymc.eaa.commands;

import com.mojang.brigadier.builder.LiteralArgumentBuilder;
import com.mojang.brigadier.context.CommandContext;
import net.fabricmc.fabric.api.client.command.v1.FabricClientCommandSource;
import net.saltymc.eaa.function.LobbyFunction;
import net.saltymc.eaa.util.database.DB_Tag;

import java.text.SimpleDateFormat;
import java.util.*;

import static net.fabricmc.fabric.api.client.command.v1.ClientCommandManager.literal;

public class CheckLobbyCommand extends EaaModCommand{

    private static final Map<String, DB_Tag> player_tags = new HashMap<>();
    public static final SimpleDateFormat dateformat = new SimpleDateFormat("dd.MM.yyyy");

    @Override
    public int run(CommandContext<FabricClientCommandSource> context) {
        FabricClientCommandSource source = context.getSource();

        LobbyFunction.checkLobby(source);

        return 1;
    }

    @Override
    public LiteralArgumentBuilder<FabricClientCommandSource> getCommandSpecification() {
        return literal("/lobby").executes(this);
    }
}
